package cn.ibizlab.r7.runtime.core.client.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Client 实体 [OrgDeptUser] 对象
 */
public interface IOrgDeptUser {

    /**
     * 获取 [是否启用]
     */
    public void setEnable(Integer enable);
    
    /**
     * 设置 [是否启用]
     */
    public Integer getEnable();

    /**
     * 获取 [是否启用]脏标记
     */
    public boolean getEnableDirtyFlag();
    /**
     * 获取 [建立时间]
     */
    public void setCreateDate(Timestamp createDate);
    
    /**
     * 设置 [建立时间]
     */
    public Timestamp getCreateDate();

    /**
     * 获取 [建立时间]脏标记
     */
    public boolean getCreateDateDirtyFlag();
    /**
     * 获取 [更新人]
     */
    public void setUpdateMan(String updateMan);
    
    /**
     * 设置 [更新人]
     */
    public String getUpdateMan();

    /**
     * 获取 [更新人]脏标记
     */
    public boolean getUpdateManDirtyFlag();
    /**
     * 获取 [更新时间]
     */
    public void setUpdateDate(Timestamp updateDate);
    
    /**
     * 设置 [更新时间]
     */
    public Timestamp getUpdateDate();

    /**
     * 获取 [更新时间]脏标记
     */
    public boolean getUpdateDateDirtyFlag();
    /**
     * 获取 [建立人]
     */
    public void setCreateMan(String createMan);
    
    /**
     * 设置 [建立人]
     */
    public String getCreateMan();

    /**
     * 获取 [建立人]脏标记
     */
    public boolean getCreateManDirtyFlag();
    /**
     * 获取 [部门用户名称]
     */
    public void setOrgDeptUserName(String orgDeptUserName);
    
    /**
     * 设置 [部门用户名称]
     */
    public String getOrgDeptUserName();

    /**
     * 获取 [部门用户名称]脏标记
     */
    public boolean getOrgDeptUserNameDirtyFlag();
    /**
     * 获取 [部门用户标识]
     */
    public void setOrgDeptUserId(String orgDeptUserId);
    
    /**
     * 设置 [部门用户标识]
     */
    public String getOrgDeptUserId();

    /**
     * 获取 [部门用户标识]脏标记
     */
    public boolean getOrgDeptUserIdDirtyFlag();
    /**
     * 获取 [组织名称]
     */
    public void setOrgName(String orgName);
    
    /**
     * 设置 [组织名称]
     */
    public String getOrgName();

    /**
     * 获取 [组织名称]脏标记
     */
    public boolean getOrgNameDirtyFlag();
    /**
     * 获取 [部门名称]
     */
    public void setOrgDeptName(String orgDeptName);
    
    /**
     * 设置 [部门名称]
     */
    public String getOrgDeptName();

    /**
     * 获取 [部门名称]脏标记
     */
    public boolean getOrgDeptNameDirtyFlag();
    /**
     * 获取 [组织用户名称]
     */
    public void setOrgUserName(String orgUserName);
    
    /**
     * 设置 [组织用户名称]
     */
    public String getOrgUserName();

    /**
     * 获取 [组织用户名称]脏标记
     */
    public boolean getOrgUserNameDirtyFlag();
    /**
     * 获取 [组织用户标识]
     */
    public void setOrgUserId(String orgUserId);
    
    /**
     * 设置 [组织用户标识]
     */
    public String getOrgUserId();

    /**
     * 获取 [组织用户标识]脏标记
     */
    public boolean getOrgUserIdDirtyFlag();
    /**
     * 获取 [部门标识]
     */
    public void setOrgDeptId(String orgDeptId);
    
    /**
     * 设置 [部门标识]
     */
    public String getOrgDeptId();

    /**
     * 获取 [部门标识]脏标记
     */
    public boolean getOrgDeptIdDirtyFlag();
    /**
     * 获取 [组织标识]
     */
    public void setOrgId(String orgId);
    
    /**
     * 设置 [组织标识]
     */
    public String getOrgId();

    /**
     * 获取 [组织标识]脏标记
     */
    public boolean getOrgIdDirtyFlag();
}
